Retrieve Flow Logs by destination
Retrieves Flow Log activity for an endpoint, grouped by destination hostname, IP address, port, and protocol.
By default, the response covers the last hour.
Use started_from in the q parameter to look back up to 30 days.
Filters follow the standard q=<field>:<criteria> syntax:
- Combine multiple filters on different fields with
,(AND). - Combine multiple values for the same field with
||(OR).
Use sort to order the results and page / per_page to paginate.
Authentication
An auth_token should be provided to authenticate a session.
To obtain an auth_token, see the /api/v1/authenticate POST request.
Path parameters
Query parameters
Page number to retrieve.
Starts at 1.
Sorts destination groups by field value.
Use <operator><field> format.
Operators: - descending, + ascending.
You can also combine multiple sort fields with commas (for example, -started_on,destination_hostname).
Filters destination groups by field value.
Use <field>:<criteria> format.
Combine multiple filters with commas (for example, protocol:TCP,destination_hostname:api.example.com).
Use || within one field for multiple values (for example, protocol:TCP||UDP).
Time window (optional, each as <field>:<ISO-8601 UTC>):
started_from- Lower bound on flow start- Defaults to 1 hour ago
- Maximum look-back 30 days.
started_until- Upper bound on flow start- Defaults to now.
completed_from/completed_until- Bounds on flow completion time.
Window fields must use : only (no other operators).
Response headers
Applied filter criteria from the q parameter.
Response
Transport protocol (for example, TCP, UDP).